<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ym.mec.education.mapper.SysUserCashAccountMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ym.mec.education.entity.SysUserCashAccount">
        <id column="user_id_" property="userId" />
        <result column="currency_" property="currency" />
        <result column="balance_" property="balance" />
        <result column="frozen_amount_" property="frozenAmount" />
        <result column="margin_balance_" property="marginBalance" />
        <result column="status_" property="status" />
        <result column="create_time_" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        user_id_, currency_, balance_, frozen_amount_, margin_balance_, status_, create_time_, update_time
    </sql>

</mapper>
